//----------------------------------------------------------------------------
///
///
///
//----------------------------------------------------------------------------


#include <fosh/command.h>
// #include <stdio.h>
#include <stdlib.h>

class CCommandExit: public CCommand
{
   public:
      CCommandExit(const char *_name)
         :CCommand( _name, "   date: get/set time and date\n" )
      {}
      virtual int exec(int argc, const char *argv[]) const;
      virtual void printHelp() const;
};


int CCommandExit::exec(int argc, const char *argv[]) const /* virtual */
{
   exit(0);
   return(0);
}

/*
const CCommand *createInstance_exit()
{
   return( new CCommandExit("exit") );
}
*/



//STTERM_COMMAND(exit);


//---fin----------------------------------------------------------------------
